org.apache.pdfbox.pdmodel.fdf

## Class FDFPageInfo

- java.lang.Object
- - org.apache.pdfbox.pdmodel.fdf.FDFPageInfo

All Implemented Interfaces:
  COSObjectable

    public class FDFPageInfo
    extends Object
    implements COSObjectable

This represents an FDF page info that is part of the FDF page.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`FDFPageInfo()` Default constructor.
`FDFPageInfo(COSDictionary p)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FDFPageInfo

    public FDFPageInfo()

Default constructor.

#### FDFPageInfo

    public FDFPageInfo(COSDictionary p)

Constructor.

Parameters:
  `p` - The FDF page.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.